/*
 * (C) IBM International Business Machines (2002)
 * (A) David Oleszkiewicz 
 * (A) Daniel Stekloff
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef AFFINITY_H
#define AFFINITY_H

/* These functions emulate Robert Love's added system calls for a cpu affinity
 * interface.  We use them as wrappers around our ioctl calls to our module */
int sched_set_affinity(pid_t pid, unsigned long *cpu_mask);
int sched_get_affinity(pid_t pid, unsigned long *cpu_mask);

/* Extra affinity functions */
int sched_set_exclusive(pid_t pid, unsigned long *new_mask);
int sched_reset(void);
int sched_get_processor(pid_t pid, unsigned long *cpu);

#endif /* AFFINITY_H */
