/*
 * (C) IBM International Business Machines (2002)
 * (A) David Oleszkiewicz 
 * (A) Daniel Stekloff
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef CPU_AFFINITY_H
#define CPU_AFFINITY_H
#include <linux/ioctl.h>
#include <linux/types.h>

#define ALL_CPUS (~(0UL))
#define AFFINITY_DEVICE "/dev/cpu_affinity0"


struct affinity {
        __u32 pid;
        __u64 mask;
};

#define AFFINITY_IOC_MAGIC  'a'

#define AFFINITY_IOC_GET_AFFINITY _IOR(AFFINITY_IOC_MAGIC, 0, struct affinity)

/* Set the cpus allowed field. */
#define AFFINITY_IOC_SET_AFFINITY _IOW(AFFINITY_IOC_MAGIC, 1, struct affinity)
#define AFFINITY_IOC_SET_EXCLUSIVE _IOW(AFFINITY_IOC_MAGIC, 2, struct affinity)

#define AFFINITY_IOC_RESET _IO(AFFINITY_IOC_MAGIC, 3)
#define AFFINITY_IOC_GET_PROCESSOR _IOR(AFFINITY_IOC_MAGIC, 4, struct affinity)

#define AFFINITY_IOC_MAXNR 4

#endif /* CPU_AFFINITY_H */
