/*
 * (C) IBM International Business Machines (2002)
 * (A) David Oleszkiewicz 
 * (A) Daniel Stekloff
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef KDEBUG_H
#define KDEBUG_H

#include "config.h"

#ifdef DEBUG 
#include <linux/kernel.h>

#ifdef HAVE_EVLOG
#include <linux/evl_log.h>

#define kdebug(fmt, arg...) do {  \
                posix_log_printf(EVL_FACILITY, 0, LOG_DEBUG, 0x0, \
                                 "%d:"__FILE__"::"__FUNCTION__"(): " \
                                 fmt "\n", __LINE__, ##arg);  \
} while (0) 

#else /* ! HAVE_EVLOG */

#define kdebug(fmt, arg...) do {  \
                printk(KERN_INFO "%d:"__FILE__"::"__FUNCTION__"(): " \
                       fmt "\n", __LINE__, ##arg);  \
} while (0) 
#endif /* HAVE_EVLOG */

#else /* ! DEBUG */

#define kdebug(fmt, arg...) do { } while (0)

#endif /* DEBUG */ 

#endif /* KDEBUG_H */
