/*
 * (C) IBM International Business Machines (2002)
 * (A) David Oleszkiewicz 
 * (A) Daniel Stekloff
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef KLOG_H
#define KLOG_H

#include "config.h"
#include <linux/kernel.h>

#ifdef HAVE_EVLOG
#include <linux/evl_log.h>

#define klog(fmt, arg...) do { \
        posix_log_printf(EVL_FACILITY, 0, LOG_ERR, 0x0, PACKAGE \
                         ": " fmt "\n", ##arg); \
} while (0) 

#else /* ! HAVE_EVLOG */

#define klog(fmt, arg...) do { \
        printk(KERN_ERR PACKAGE ": " fmt "\n", ##arg); \
} while (0) 

#endif /* HAVE_EVLOG */

#endif /* KLOG_H */
